#include<bits/stdc++.h>

using namespace std;

int main()
{
	int n, m,i,a,b,c;
	int l,r,x,j;
	
	cin>>n>>m;
	vector<int> d(n),u(n),s(m,0);
	
	for(i = 0; i <n;i++){
		cin>>a>>b;
		d[i] = a;
		u[i] = b;
	}
	
	
	for(i = 0; i < m; i++){
		cin>>l>>r>>x;
		for(j = l-1; j <= r-1;j++){
			if(x >= d[j] && x <= u[j]){
				s[i]++;
			}
		}
		
	}
	for(i = 0; i < m; i++){
		cout<<s[i]<<"\n";
	}


	return 0;
}